Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryBooleanInstantiationRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryBooleanInstantiationRule

- Rule that checks for direct call to Boolean constructor - use Boolean.valueOf() instead. Also checks for Boolean.valueOf(true) or Boolean.valueOf(false) - use Boolean.TRUE or Boolean.FALSE instead.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority